<ToolboxBitmap(GetType(TextBoxModified), "TextBoxModifiedTool.bmp")> _
Public Class TextBoxModified
    Inherits TextBox
    Friend WithEvents picModified As System.Windows.Forms.PictureBox

    Public Property TextModified() As Boolean
        Get
            If picModified Is Nothing Then Return False
            Return picModified.Visible
        End Get
        Set(ByVal value As Boolean)
            picModified.Visible = value
        End Set
    End Property

    Public Sub New()
        InitializeComponent()
        InitPicture()
    End Sub

    Private Sub InitializeComponent()
        Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(TextBoxModified))
        Me.picModified = New System.Windows.Forms.PictureBox
        '
        'picModified
        '
        Me.picModified.Anchor = CType((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
        Me.picModified.Image = CType(resources.GetObject("picModified.Image"), System.Drawing.Image)
        Me.picModified.Location = New System.Drawing.Point(17, 17)
        Me.picModified.Name = "picModified"
        Me.picModified.Size = New System.Drawing.Size(16, 16)
        Me.picModified.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize
        Me.picModified.TabIndex = 0
        Me.picModified.TabStop = False
    End Sub

    Private Sub InitPicture()
        picModified.Left = Me.Width - picModified.Size.Width - 4
        picModified.Top = Me.Height - picModified.Size.Height - 4
        TextModified = True
        Me.Controls.Add(picModified)
    End Sub

    ' Show the pencil.
    Private Sub TextBoxModified_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.TextChanged
        If Not TextModified Then TextModified = True
    End Sub
End Class